import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/informationInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/informationInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/informationInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/informationInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/informationInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}


function finished(id){
  return request.post(constant.serverUrl + "/base/informationInfo/finished/" + id);
}


function remove(id){
  return request.post(constant.serverUrl + "/base/informationInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/informationInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,finished
}